Bug 98483 - [EFL] Use Evas function instead of memcpy
Summary: [EFL] Use Evas function instead of memcpy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-04 22:18 PDT by Jaehun Lim
Modified: 2012-10-10 02:20 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.03 KB, patch)
2012-10-04 22:21 PDT, Jaehun Lim
no flags Details | Formatted Diff | Diff
Patch (4.04 KB, patch)
2012-10-10 00:30 PDT, Jaehun Lim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaehun Lim 2012-10-04 22:18:57 PDT
Evas supports evas_object_image_data_copy_set() to copy image data.
Change memcpy() with evas_object_image_data_copy_set().
Comment 1 Jaehun Lim 2012-10-04 22:21:06 PDT
Created attachment 167247 [details]
Patch
Comment 2 Gyuyoung Kim 2012-10-09 23:17:57 PDT
Comment on attachment 167247 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=167247&action=review

> Source/WebKit/efl/ChangeLog:10
> +

Please mention to change variable name.
Comment 3 Ryuan Choi 2012-10-09 23:35:20 PDT
Comment on attachment 167247 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=167247&action=review

> Source/WebKit/efl/ewk/ewk_util.cpp:39
> +    int width, height, stride;

Let's move this to 66,67,68 line.

> Source/WebKit/efl/ewk/ewk_util.cpp:41
> +    void* data;

Ditto.

> Source/WebKit/efl/ewk/ewk_util.cpp:94
> +        ERR("could not get source data.");
> +        return 0;

Don't you need to delete image?
Comment 4 Jaehun Lim 2012-10-10 00:30:35 PDT
Created attachment 167944 [details]
Patch
Comment 5 Gyuyoung Kim 2012-10-10 00:31:53 PDT
Comment on attachment 167944 [details]
Patch

Looks fine.
Comment 6 Jaehun Lim 2012-10-10 00:35:19 PDT
(In reply to comment #3)
> (From update of attachment 167247 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=167247&action=review
> 
> > Source/WebKit/efl/ewk/ewk_util.cpp:39
> > +    int width, height, stride;
> 
> Let's move this to 66,67,68 line.
Done
> 
> > Source/WebKit/efl/ewk/ewk_util.cpp:41
> > +    void* data;
> 
> Ditto.
Done
> 
> > Source/WebKit/efl/ewk/ewk_util.cpp:94
> > +        ERR("could not get source data.");
> > +        return 0;
> 
> Don't you need to delete image?
I moved these lines before "image" was created.
Comment 7 WebKit Review Bot 2012-10-10 02:20:53 PDT
Comment on attachment 167944 [details]
Patch

Clearing flags on attachment: 167944

Committed r130875: <http://trac.webkit.org/changeset/130875>
Comment 8 WebKit Review Bot 2012-10-10 02:20:58 PDT
All reviewed patches have been landed.  Closing bug.